package org.processmining.uncertaintymarker.dialogs;

import java.awt.Color;
import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class Explanation extends JPanel{
	public Explanation() {
		setLayout(new GridLayout());
		JLabel jta = new JLabel("<html> Creates an uncertainty net, which is a petri net enhanced by probability information that comes from the log. <br> "
				+ "This plugin is developed for visualizing the uncertainty arising from event prediction using a classification algorithm, e.g. in the area of human activity recognition. <br> <br> "
				
				+ "The input log needs to be in a special form: The column titles should be the classification labels, <br>"
				+ "each row contains the probability distribution as double values over these labels (requirement: sum has to be 1). <br> <br> "
				
				+ "The plugin consists of four steps: <br> "
				+ "<ol> <li> Fixed-duration time window rows (event classification output) in the <i><u>Probability Log</i></u> need to be aggregated to events (eg. E,E,E,E,E -> E). <br> The probabilities in the rows are aggregated and averaged."
				+ "The result of this Time Window Consolidation is the <i><u>Concise Log</i></u>. </li> <br> "
				+ "<li> Trace Alignment is applied to the Concise Log, producing an  <i><u>Aligned log</i></u> </li> <br>"
				+ "<li> A <i><u>Petri net</i></u> is discovered by using one out of four discovery algorithms: <br> Alpha Miner, Inductive Miner, Evolutionary Tree Miner or my own AlignedStepDiscovery algorithm. </li>  <br> "
				+ "<li> This petri net is <i><u>enhanced by the probability information </i></u> from the Aligned Log,  <br> after aggregating it over all traces and mapping it to the transitions in the net.  </li> </ol> </html>");
		jta.setBackground(Color.LIGHT_GRAY);

		add(jta);
	}
}
