package org.processmining.uncertaintymarker.models;

/**This class wraps a scoring table. Its purpose is to make the scoringtable printable,
 * so that is easier to watch it in debugging mode.
 * 
 * @author Oliver
 *
 */
public class Scoringtable {

	public int[][] scoringTable;
	
	public Scoringtable(int dimA,int dimB){
		scoringTable = new int[dimA][dimB];
	}
	
	@Override
	public String toString(){
		String out="";
		for(int i=0;i<scoringTable.length;i++){
			for(int j=0;j<scoringTable[i].length;j++){
				String curr = scoringTable[i][j] +"";
				if(curr.length()==1)
					out+= " " + curr + "  ";
				else if(curr.length()==2){
					out+= " " + curr + " ";
				}
				else{
					out += curr + " ";
				}
			}
			out += "\n";
		}
		return out;
	}
}
